package com.brilliance.isc.bo;


import lombok.Data;

import java.io.Serializable;

/**
 * (Gtx)实体类
 *
 * @author makejava
 * @since 2022-11-14 16:48:41
 */
@Data
public class Gtx implements Serializable {
    
    private String inr;
    
    private String extkey;
    
    private String nam;
    
    private String ver;
    
    private String gidtxt;
    
    private String gartyp;
    
    private String hndtyp;
    
    private String objtyp;
    
    private String objinr;
    
    private String gtxpri;
    
    private String expflg;
    
    private String uil;
    
    private String laborcdat;
    
    private String labaddinf;
    
    private String legfrm;
    
    private String covgodsrvdft;
    
    private String etgextkey;



    private String trntyp;
    private String fromflg;

    private String opnflg;

    private String objextkey;

    private String usrextkey;

    private String extflg;

    public String getTrntyp() {
        return trntyp;
    }

    public void setTrntyp(String trntyp) {
        this.trntyp = trntyp;
    }

    public String getInr() {
        return inr;
    }

    public void setInr(String inr) {
        this.inr = inr;
    }

    public String getExtkey() {
        return extkey;
    }

    public void setExtkey(String extkey) {
        this.extkey = extkey;
    }

    public String getNam() {
        return nam;
    }

    public void setNam(String nam) {
        this.nam = nam;
    }

    public String getVer() {
        return ver;
    }

    public void setVer(String ver) {
        this.ver = ver;
    }

    public String getGidtxt() {
        return gidtxt;
    }

    public void setGidtxt(String gidtxt) {
        this.gidtxt = gidtxt;
    }

    public String getGartyp() {
        return gartyp;
    }

    public void setGartyp(String gartyp) {
        this.gartyp = gartyp;
    }

    public String getHndtyp() {
        return hndtyp;
    }

    public void setHndtyp(String hndtyp) {
        this.hndtyp = hndtyp;
    }

    public String getObjtyp() {
        return objtyp;
    }

    public void setObjtyp(String objtyp) {
        this.objtyp = objtyp;
    }

    public String getObjinr() {
        return objinr;
    }

    public void setObjinr(String objinr) {
        this.objinr = objinr;
    }

    public String getGtxpri() {
        return gtxpri;
    }

    public void setGtxpri(String gtxpri) {
        this.gtxpri = gtxpri;
    }

    public String getExpflg() {
        return expflg;
    }

    public void setExpflg(String expflg) {
        this.expflg = expflg;
    }

    public String getUil() {
        return uil;
    }

    public void setUil(String uil) {
        this.uil = uil;
    }

    public String getLaborcdat() {
        return laborcdat;
    }

    public void setLaborcdat(String laborcdat) {
        this.laborcdat = laborcdat;
    }

    public String getLabaddinf() {
        return labaddinf;
    }

    public void setLabaddinf(String labaddinf) {
        this.labaddinf = labaddinf;
    }

    public String getLegfrm() {
        return legfrm;
    }

    public void setLegfrm(String legfrm) {
        this.legfrm = legfrm;
    }

    public String getCovgodsrvdft() {
        return covgodsrvdft;
    }

    public void setCovgodsrvdft(String covgodsrvdft) {
        this.covgodsrvdft = covgodsrvdft;
    }

    public String getEtgextkey() {
        return etgextkey;
    }

    public void setEtgextkey(String etgextkey) {
        this.etgextkey = etgextkey;
    }




    public String getFromflg() {
        return fromflg;
    }

    public void setFromflg(String fromflg) {
        this.fromflg = fromflg;
    }
}

